//@ts-ignore
import React, { Component } from 'react';
import { FormFillerDialogProps, FormFillerDialogModel } from "./types";
import GcPdfViewer from "..";
/// <reference path="../vendor/i18next.d.ts" />
//@ts-ignore

import { i18n } from 'i18next';
/**
 * 'Form Filler' dialog box.
 * */
export declare class FormFillerDialog extends Component<FormFillerDialogProps, FormFillerDialogModel> {
    private _hidePromise?;
    private _resolve?;
    private _viewer;
    state: {
        enabled: boolean;
        showModal: boolean;
        fields: any;
        isChanged: boolean;
    };
    private _dirtyHash;
    private _formFiller;
    /**
     * Shows the 'share document' dialog box.
     * @param viewer
     */
    show(viewer: GcPdfViewer): Promise<void>;
    loadFormFields(): void;
    /**
     * Apply changes and hide dialog.
     * */
    onApply(): void;
    /**
     * Hides the dialog
     * */
    hide(): void;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
    private _resolveHidePromise;
    get in17n(): i18n;
}
